class CargoDist < Formula
  desc "Shippable application packaging for Rust"
  version "0.12.0-prerelease.1"
  on_macos do
    on_arm do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax_fORMLSl-vfgdazC9RkdON/cargo-dist-aarch64-apple-darwin.tar.xz"
      sha256 "c580d563179a7d386cab306efc0d0d5406d781237f5f4886af2c124b8cbf20f6"
    end
    on_intel do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax_fORMLSl-vfgdazC9RkdON/cargo-dist-x86_64-apple-darwin.tar.xz"
      sha256 "09186c713fb37df6af4c768be23ec6affa4383a1c509d417a5c8dd5948fdfad4"
    end
  end
  on_linux do
    on_arm do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax_fORMLSl-vfgdazC9RkdON/cargo-dist-aarch64-unknown-linux-gnu.tar.xz"
      sha256 "b0e74e0f4cf00fa54b597f71d9c9d147454ad2106f558dd703a04327a04428bd"
    end
    on_intel do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax_fORMLSl-vfgdazC9RkdON/cargo-dist-x86_64-unknown-linux-gnu.tar.xz"
      sha256 "f3e51336d4685d75df972e67d43fffae6b14a984469248931caaa8e9048095c9"
    end
  end
  license "MIT OR Apache-2.0"

  def install
    on_macos do
      on_arm do
        bin.install "cargo-dist"
      end
    end
    on_macos do
      on_intel do
        bin.install "cargo-dist"
      end
    end
    on_linux do
      on_arm do
        bin.install "cargo-dist"
      end
    end
    on_linux do
      on_intel do
        bin.install "cargo-dist"
      end
    end

    # Homebrew will automatically install these, so we don't need to do that
    doc_files = Dir["README.*", "readme.*", "LICENSE", "LICENSE.*", "CHANGELOG.*"]
    leftover_contents = Dir["*"] - doc_files

    # Install any leftover files in pkgshare; these are probably config or
    # sample files.
    pkgshare.install *leftover_contents unless leftover_contents.empty?
  end
end
